aboutsummaryrefslogtreecommitdiffstats
path: root/chapter6
diff options
context:
space:
mode:
Diffstat (limited to 'chapter6')
-rw-r--r--chapter6/backup.sh6
-rw-r--r--chapter6/cleanup.sh2
2 files changed, 4 insertions, 4 deletions
diff --git a/chapter6/backup.sh b/chapter6/backup.sh
index 5d5030a..615aaf7 100644
--- a/chapter6/backup.sh
+++ b/chapter6/backup.sh
@@ -4,7 +4,7 @@ file="${LFS_VER}-ch6-backup.tar.xz"
directories=(bin etc lib lib64 sbin tools usr var)
if [ -f "${LFS}/sources/chapter6/backup" ]; then
- printf "%b" " ${IGRN}Backup found. Remove manually to backup again.\n${RST}"
+ printf "%b" " ${IGRN}Backup found. Remove manually to backup again.${RST}\n"
else
echo -ne "${GRN}Backing up ${YLW}${LFS}${GRN} to ${YLW}${file}${RST}... "
@@ -13,11 +13,11 @@ else
spinner "$pid" "${SPINNER}"
retval=$?
if [ "$retval" -ne 0 ]; then
- printf "%b" "${RED}FAILED!${RST}\n"
+ printf "%b" "${IRED}FAILED!${RST}\n"
exit "${retval}"
else
sudo chown "${USER}" "${HOME}"/"${file}"
- printf "%b" "${GRN}OK${RST}\n"
+ printf "%b" "${IGRN}OK${RST}\n"
fi
popd > /dev/null || exit 1
diff --git a/chapter6/cleanup.sh b/chapter6/cleanup.sh
index dc8a75a..9bd8fee 100644
--- a/chapter6/cleanup.sh
+++ b/chapter6/cleanup.sh
@@ -18,6 +18,6 @@ else
strip --strip-unneeded "${LFS}"/usr/sbin/* >/dev/null 2>&1
strip --strip-unneeded "${LFS}"/tools/bin/* >/dev/null 2>&1
- echo -e "${GRN}OK${RST}"
+ echo -e "${IGRN}OK${RST}\n"
touch "${LFS}"/sources/chapter6/cleanup >/dev/null 2>&1
fi